ruby2.1-rubygem-minitar-0.5.4-3.1.x86_64.rpm


Advertisement

Description

ruby2.1-rubygem-minitar - Provides POSIX tarchive management from Ruby programs

Property Value
Distribution openSUSE Leap 42.2
Repository openSUSE Update Oss all
Package name ruby2.1-rubygem-minitar
Package version 0.5.4
Package release 3.1
Package architecture x86_64
Package type rpm
Installed size 105.93 KB
Download size 48.15 KB
Official Mirror ftp.gwdg.de
Archive::Tar::Minitar is a pure-Ruby library and command-line utility that
provides the ability to deal with POSIX tar(1) archive files. The
implementation is based heavily on Mauricio Ferna'ndez's implementation in
rpa-base, but has been reorganised to promote reuse in other projects. Antoine
Toulme forked the original project on rubyforge to place it on github, under
http://www.github.com/atoulme/minitar.

Alternatives

Package Version Architecture Repository
ruby2.1-rubygem-minitar-0.5.4-1.1.x86_64.rpm 0.5.4 x86_64 openSUSE Oss
ruby2.1-rubygem-minitar - - -

Requires

Name Value
/usr/bin/ruby.ruby2.1 -
ruby(abi) = 2.1.0
update-alternatives -

Provides

Name Value
ruby2.1-rubygem-minitar = 0.5.4-3.1
ruby2.1-rubygem-minitar(x86-64) = 0.5.4-3.1
rubygem(minitar) = 0.5.4
rubygem(ruby:2.1.0:minitar) = 0.5.4
rubygem(ruby:2.1.0:minitar:0) = 0.5.4
rubygem(ruby:2.1.0:minitar:0.5) = 0.5.4
rubygem(ruby:2.1.0:minitar:0.5.4) = 0.5.4

Download

Type URL
Binary Package ruby2.1-rubygem-minitar-0.5.4-3.1.x86_64.rpm
Source Package rubygem-minitar-0.5.4-3.1.src.rpm

Install Howto

Install ruby2.1-rubygem-minitar rpm package:

# zypper install ruby2.1-rubygem-minitar

Files

Path
/etc/alternatives/minitar
/etc/alternatives/minitar-0.5.4
/etc/alternatives/minitar.ruby2.1
/usr/bin/minitar
/usr/bin/minitar-0.5.4
/usr/bin/minitar.ruby2.1
/usr/bin/minitar.ruby2.1-0.5.4
/usr/lib64/ruby/gems/2.1.0/cache/minitar-0.5.4.gem
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/ChangeLog
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/Install
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/README
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/Rakefile
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/bin/minitar
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/lib/
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/lib/archive/
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/lib/archive/tar/minitar.rb
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/lib/archive/tar/minitar/command.rb
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/tests/tc_tar.rb
/usr/lib64/ruby/gems/2.1.0/gems/minitar-0.5.4/tests/testall.rb
/usr/lib64/ruby/gems/2.1.0/specifications/minitar-0.5.4.gemspec
/usr/share/doc/packages/ruby2.1-rubygem-minitar/ChangeLog
/usr/share/doc/packages/ruby2.1-rubygem-minitar/README

Changelog

2017-01-27 - jmassaguerpla@suse.com
- fix CVE-2016-10173 (bsc#1021740): rubygem-minitar,
rubygem-archive-tar-minitar: directory traversal vulnerability
bsc_1021740.patch: contains the fix
2014-10-23 - tboerger@suse.com
- Initial packaging of 0.5.4

See Also

Package Description
ruby2.1-rubygem-minitar-doc-0.5.4-3.1.x86_64.rpm RDoc documentation for minitar
ruby2.1-rubygem-puppet-3.8.7-17.3.1.x86_64.rpm A network tool for managing many disparate systems
ruby2.1-rubygem-puppet-doc-3.8.7-17.3.1.x86_64.rpm RDoc documentation for puppet
ruby2.1-rubygem-puppet-testsuite-3.8.7-17.3.1.x86_64.rpm Test suite for puppet
ruby2.1-rubygem-rubyzip-1.1.7-5.3.1.x86_64.rpm rubyzip is a ruby module for reading and writing zip files
ruby2.1-rubygem-rubyzip-doc-1.1.7-5.3.1.x86_64.rpm RDoc documentation for rubyzip
ruby2.1-rubygem-rubyzip-testsuite-1.1.7-5.3.1.x86_64.rpm Test suite for rubyzip
ruby2.1-stdlib-2.1.9-8.3.2.x86_64.rpm The Ruby standard library
ruby2.1-stdlib-2.1.9-8.6.1.x86_64.rpm The Ruby standard library
ruby2.2-2.2.6-6.3.1.x86_64.rpm An Interpreted Object-Oriented Scripting Language
ruby2.2-devel-2.2.6-6.3.1.x86_64.rpm Development files to link against Ruby
ruby2.2-devel-extra-2.2.6-6.3.1.x86_64.rpm Special development files of ruby, normally not installed
ruby2.2-doc-2.2.6-6.3.1.x86_64.rpm Documentation and samples for Ruby
ruby2.2-doc-ri-2.2.6-6.3.1.noarch.rpm Ruby Interactive Documentation
ruby2.2-stdlib-2.2.6-6.3.1.x86_64.rpm The Ruby standard library
Advertisement
Advertisement